%define upstream_name Benchmark
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.2.9
Release:     	%mkrel 4
Summary:    	Framework to benchmark PHP scripts or function calls
License: 	New BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Benchmark-%{version}.tgz
URL: 		http://pear.php.net/package/Benchmark
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
Framework to benchmark PHP scripts or function calls.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Benchmark.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Benchmark.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Benchmark
fi

%files
%doc docs/Benchmark/*
%{peardir}/*
%{xmldir}/Benchmark.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.2.9-4.mga4
+ Revision: 526640
- Mageia 4 Mass Rebuild

* Thu Jun 06 2013 spuhler <spuhler> 1.2.9-3.mga4
+ Revision: 438406
- removed wrong dash in BuildRequires:

* Sun Jan 13 2013 umeabot <umeabot> 1.2.9-2.mga3
+ Revision: 375882
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 12 2012 spuhler <spuhler> 1.2.9-1.mga2
+ Revision: 195166
- corrected GROUP to Development/PHP
- upgrade to 1.2.9
  pearized spec

* Sun Jan 30 2011 spuhler <spuhler> 1.2.8-1.mga1
+ Revision: 44602
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Benchmark


* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.8-1mdv2011.0
+ Revision: 602116
- new version

* Wed Dec 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.7-6mdv2010.1
+ Revision: 479362
- use package2.xml, fix installation path

* Sun Dec 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.7-5mdv2010.1
+ Revision: 478305
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.2.7-4mdv2010.0
+ Revision: 440944
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.7-3mdv2009.1
+ Revision: 321901
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.7-2mdv2009.0
+ Revision: 236805
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 23 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.7-1mdv2008.0
+ Revision: 54602
- fix build
- 1.2.7


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.6-1mdv2007.0
+ Revision: 81394
- Import php-pear-Benchmark

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.6-1mdk
- 1.2.6

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-1mdk
- 1.2.4
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-4mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-3mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-2mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-1mdk
- 1.2.3

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-1mdk
- initial Mandriva package (PLD import)

